yast2-slp

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SlpAgent Class Reference

An interface class between YaST2 and Slp Agent. More...

`#include <SlpAgent.h>`

Inheritance diagram for SlpAgent:

## Public Member Functions
| SlpAgent ()
virtual | ~SlpAgent ()
virtual YCPValue | Read (const YCPPath &path, const YCPValue &arg=YCPNull(), const YCPValue &opt=YCPNull())
virtual YCPBoolean | Write (const YCPPath &path, const YCPValue &value, const YCPValue &arg=YCPNull())
virtual YCPValue | Execute (const YCPPath &path, const YCPValue &value, const YCPValue &arg)
virtual YCPList | Dir (const YCPPath &path)
virtual YCPValue | otherCommand (const YCPTerm &term)

## Detailed Description

An interface class between YaST2 and Slp Agent.

## Constructor & Destructor Documentation

SlpAgent::SlpAgent | ( | ) |  |

Agent private variables Default constructor.

Constructor

SlpAgent::~SlpAgent | ( | ) |  |
| virtual

Destructor.

Destructor

## Member Function Documentation

YCPList SlpAgent::Dir | ( | const YCPPath & | path) |  |
| virtual

Provides SCR Dir ().

Dir

Implements SCRAgent.

References y2error.

YCPValue SlpAgent::Execute | ( | const YCPPath & | path,
|  | const YCPValue & | value,
|  | const YCPValue & | opt
| ) |  |
| virtual

Provides SCR Execute ().

Read

References check_error_state(), MySLPRegReport(), y2debug, and y2milestone.

YCPValue SlpAgent::otherCommand | ( | const YCPTerm & | term) |  |
| virtual

Used for mounting the agent.

otherCommand

Reimplemented from SCRAgent.

References YCPTerm::name().

YCPValue SlpAgent::Read | ( | const YCPPath & | path,
|  | const YCPValue & | value = `YCPNull ()`,
|  | const YCPValue & | arg = `YCPNull()`
| ) |  |
| virtual

Provides SCR Read ().

Parameters

  path | Path that should be read.
  arg | Additional parameter.

Execute

Implements SCRAgent.

References getMapValue(), YCPList::isEmpty(), Result, SlpAgentFindAttrs(), SlpAgentFindSrvs(), SlpAgentFindSrvTypes(), SlpAgentUnicastFindAttrs(), and y2debug.

YCPBoolean SlpAgent::Write | ( | const YCPPath & | path,
|  | const YCPValue & | value,
|  | const YCPValue & | arg = `YCPNull()`
| ) |  |
| virtual

Provides SCR Write ().

Write

Implements SCRAgent.

References y2error.

The documentation for this class was generated from the following files:

- SlpAgent.h
- SlpAgent.cc